Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# IGUIElement.h File Reference

`#include "IAttributeExchangingObject.h"`
`#include "irrList.h"`
`#include "rect.h"`
`#include "irrString.h"`
`#include "IEventReceiver.h"`
`#include "EGUIElementTypes.h"`
`#include "EGUIAlignment.h"`
`#include "IAttributes.h"`

Go to the source code of this file.

## Classes
class | irr::gui::IGUIElement
| Base class of all GUI elements. More...
## Namespaces
namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::gui

| The gui namespace contains useful classes for easy creation of a graphical user interface.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)